#include<bits/stdc++.h>
using namespace std;
long long n,l,r,k,q;
int main(){
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	scanf("%lld",&n);
	for(long long i=1;i<n;i++){
		long long u,v;
		scanf("%lld%lld",&u,&v);
	}
	scanf("%lld",&q);
	for(long long i=1;i<=q;i++){
		scanf("%lld%lld%lld",&l,&r,&k);
		printf("%lld\n",r-l);
	}
	return 0;
}
